MixedGroupType (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.authz.shared.MixedGroupType class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.authz.shared
Class MixedGroupType

    java.lang.Object
      org.hyperic.util.HypericEnum
          org.hyperic.hq.authz.shared.MixedGroupType

All Implemented Interfaces:
  java.io.Serializable, JSON

    public class MixedGroupType

extends HypericEnum

See Also:
  Serialized Form

Field Summary
`static MixedGroupType` | `ALL_MIXED_GROUPS`
`static MixedGroupType` | `APPLICATION_GROUP`
`static MixedGroupType` | `GROUP_OF_GROUPS`
`static MixedGroupType` | `PLATFORM_SERVER_SERVICE_GROUP`

Constructor Summary
`protected` | `MixedGroupType(int code, java.lang.String desc, java.lang.String localeProp)`

Method Summary
`static MixedGroupType` | `findByCode(int code)`
`static MixedGroupType` | `findByCode(int[] codes)`
`static MixedGroupType` | `findByCode(java.lang.Integer[] codes)`
`java.util.List` | `getAppdefEntityTypes()`

Methods inherited from class org.hyperic.util.HypericEnum
`findByCode, findByDescription, getAll, getByCode, getCode, getDescription, getJsonName, getValue, toJSON, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ALL_MIXED_GROUPS

    public static final MixedGroupType ALL_MIXED_GROUPS

### APPLICATION_GROUP

    public static final MixedGroupType APPLICATION_GROUP

### GROUP_OF_GROUPS

    public static final MixedGroupType GROUP_OF_GROUPS

### PLATFORM_SERVER_SERVICE_GROUP

    public static final MixedGroupType PLATFORM_SERVER_SERVICE_GROUP

Constructor Detail

### MixedGroupType

    protected MixedGroupType(int code,
                             java.lang.String desc,
                             java.lang.String localeProp)

Method Detail

### findByCode

    public static MixedGroupType findByCode(int code)

### getAppdefEntityTypes

    public java.util.List getAppdefEntityTypes()

### findByCode

    public static MixedGroupType findByCode(int[] codes)

### findByCode

    public static MixedGroupType findByCode(java.lang.Integer[] codes)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.